Package org.apache.sling.maven.bundlesupport

# Class BundlePrerequisite.Bundle

java.lang.Object
org.apache.sling.maven.bundlesupport.BundlePrerequisite.Bundle

Enclosing class:
  BundlePrerequisite

public static final class BundlePrerequisite.Bundle extends Object
Described bundle with symbolic name and bundle version.

## Constructor Summary

Constructors
Constructor
Description
`Bundle()`
`Bundle(String groupId, String artifactId, String version)`
`Bundle(String groupId, String artifactId, String version, String symbolicName)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getArtifactId()`
`String`
`getGroupId()`
`String`
`getOsgiVersion()`
`String`
`getSymbolicName()`
`String`
`getVersion()`
`void`
`setArtifactId(String artifactId)`
`void`
`setGroupId(String groupId)`
`void`
`setSymbolicName(String symbolicName)`
`void`
`setVersion(String version)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Bundle

public Bundle()

### Bundle

public Bundle(String groupId, String artifactId, String version)

### Bundle

public Bundle(String groupId, String artifactId, String version, String symbolicName)

## Method Details

### getGroupId

public String getGroupId()

### setGroupId

public void setGroupId(String groupId)

### getArtifactId

public String getArtifactId()

### setArtifactId

public void setArtifactId(String artifactId)

### getSymbolicName

public String getSymbolicName()

### setSymbolicName

public void setSymbolicName(String symbolicName)

### getVersion

public String getVersion()

### setVersion

public void setVersion(String version)

### getOsgiVersion

public String getOsgiVersion()

### toString

public String toString()

Overrides:
  `toString` in class `Object`